%global sum     A pipe connecting game

Name: pipepanic
Version: 0.1.3
Release: %mkrel 13
Summary: %{sum}
Group: Games/Arcade
License: GPLv2+
URL: http://www.users.waitrose.com/~thunor/pipepanic/
Source0: http://www.users.waitrose.com/~thunor/pipepanic/dload/%{name}-%{version}-source.tar.gz
Patch0: pipepanic-0.1.3-fedora-Makefile.patch
# Hans de Goede
Patch1: pipepanic-0.1.3-fedora-window-title.patch

BuildRequires: pkgconfig(sdl)
BuildRequires: imagemagick

%description
Pipepanic is a pipe connecting game using libSDL. Connect as many
different shaped pipes together as possible within the time given.


%prep
%setup -q -n %{name}-%{version}-source
%patch -P 0 -p0
%patch -P 1 -p1

# Fix file encoding
iconv --from=ISO-8859-1 --to=UTF-8 COPYING-ARTWORK > COPYING-ARTWORK.conv
mv COPYING-ARTWORK.conv COPYING-ARTWORK

# Fix DATADIR
sed -i 's:/opt/QtPalmtop/share/pipepanic/:%{_gamesdatadir}/%{name}/:' main.h


%build
%set_build_flags
%make_build

%install
# Install binary
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 pipepanic %{buildroot}%{_gamesbindir}

# Install data files
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
install -m 644 *.bmp %{buildroot}%{_gamesdatadir}/%{name}/

# Install window icon (needed by patch1)
convert PipepanicIcon32.png bmp3:- | \
  convert - -fill '#FF00FF' -opaque black -colors 256 \
    -compress none bmp3:icon.bmp
install -m 644 icon.bmp %{buildroot}%{_gamesdatadir}/%{name}/

# Install icons
install -D -m644 PipepanicIcon16.png %{buildroot}%{_miconsdir}/%{name}.png
install -D -m644 PipepanicIcon32.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 PipepanicIcon64.png %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Pipepanic
Comment=%{sum}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;LogicGame;
EOF


%files
%doc AUTHORS ChangeLog COPYING COPYING-ARTWORK README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop




%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.1.3-13.mga10
+ Revision: 2232313
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 0.1.3-12.mga10
+ Revision: 2128064
- Rebuild for patchN deprecation

* Fri Apr 01 2022 umeabot <umeabot> 0.1.3-11.mga9
+ Revision: 1839181
- Mageia 9 Mass Rebuild

* Wed Apr 15 2020 danf <danf> 0.1.3-10.mga8
+ Revision: 1567472
- Fix Comment= in .desktop file to stop referring to debug sources

* Fri Feb 14 2020 umeabot <umeabot> 0.1.3-9.mga8
+ Revision: 1515989
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 0.1.3-8.mga7
+ Revision: 1300289
- Mageia 7 Mass Rebuild

* Sun Sep 17 2017 cjw <cjw> 0.1.3-7.mga7
+ Revision: 1155050
- setup compile flags to fix debug packages

* Fri Feb 05 2016 umeabot <umeabot> 0.1.3-6.mga6
+ Revision: 938736
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-5.mga5
+ Revision: 746809
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-4.mga5
+ Revision: 687604
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.3-3.mga4
+ Revision: 517465
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.3-2.mga3
+ Revision: 377751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 11 2011 zezinho <zezinho> 0.1.3-1.mga2
+ Revision: 153864
- group corrected
- imported package pipepanic


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 10 2008 Andrea Musuruane <musuruan@gmail.com> 0.1.3-5
- Rebuild against gcc 4.3

* Sat Oct 06 2007 Andrea Musuruane <musuruan@gmail.com> 0.1.3-4
- Fixed COPYING-ARTWORK file encoding
- Updated icon cache scriptlets to be compliant to new guidelines

* Mon Aug 20 2007 Andrea Musuruane <musuruan@gmail.com> 0.1.3-3
- Changed license due to new guidelines
- Removed %%{?dist} tag from changelog
- Updated icon cache scriptlets to be compliant to new guidelines

* Wed May 02 2007 Andrea Musuruane <musuruan@gmail.com> 0.1.3-2
- Fixed package ownership of its datadir
- Changed description
- Added a patch by Hans de Goede to set a window title and icon

* Sun Apr 10 2007 Andrea Musuruane <musuruan@gmail.com> 0.1.3-1
- Initial release

